Subject: Re: linux-next: build failure after merge of the xen-two tree

From: Konrad Rzeszutek Wilk <[email-masked]>
Date: Wed, 20 Feb 2013 15:49:41 -0500

> > > commit 3757b94802fb65d8f696597a74053cf21738da0b
> > > Author: Rafael J. Wysocki <[email-masked]>
> > > Date:   Wed Feb 13 14:36:47 2013 +0100
> > > 
> > >     ACPI / hotplug: Fix concurrency issues and memory leaks
> > > 
> > > after which acpi_bus_scan() and acpi_bus_trim() have to be run under
> > > acpi_scan_lock (new in my tree as well).
> > 
> > Yes, we noticed that and only need minor updates at xen side, will send out
> > 2 xen patches later accordingly, for cleanup and adding lock.
> 
> Thanks, but those new changes will only make sense after merging the Xen tree
> with the PM tree.  Why don't we queue them up for merging later after both
> the Xen and PM trees have been pulled from?

OK, I've created a branch (http://git.kernel.org/?p=linux/kernel/git/konrad/xen.git;a=shortlog;h=refs/heads/linux-next-resolved)
that has your branch and my branch - along with the fix from Stephan and then
the three updates from Jinsong. Jinsong, please check that I've got all the
right patches. I will rebase it once Linus has merged both of the Xen and PM trees.